<template>
  <div class="navbar-menu-wrapper h-full px-4">
    <div id="navbar-menu" class="navbar-menu flex items-center h-full">
      <template v-for="item in items">
        <navbar-dropdown-item v-if="item.children.length" class="mx-4 text-sm cursor-pointer z-50">
          {{ item.label }}
          <template #items>
            <navbar-menu-item
              class="my-3 leading-normal"
              v-for="childItem in item.children"
              :key="childItem.id"
              v-bind="childItem"
            />
          </template>
        </navbar-dropdown-item>

        <navbar-menu-item v-else class="mx-4 text-sm" v-bind="item" />
      </template>
    </div>
  </div>
</template>

<script>
import NavbarDropdownItem from './NavbarDropdownItem';
import NavbarMenuItem from './NavbarMenuItem';

export default {
  name: 'NavbarMenuDesktop',
  components: {
    NavbarDropdownItem,
    NavbarMenuItem,
  },
  props: {
    items: Array,
  },
};
</script>

<style lang="postcss" scoped>
.navbar-menu > * {
  line-height: theme('spacing.20');
}
</style>